Ephemeron.GenHashTable.MakeSeeded(3)

NAME
Ephemeron.GenHashTable.MakeSeeded - Functor building an implementation of an hash table that use the container for keeping the information given

Module
Module Ephemeron.GenHashTable.MakeSeeded

Documentation

Module MakeSeeded
 : functor (H : sig end) -> sig end

Functor building an implementation of an hash table that use the container for keeping the information given

Parameters:

"H" sig end

include Hashtbl.SeededS

val clean : 'a t -> unit

remove all dead bindings. Done automatically during automatic resizing.

val stats_alive : 'a t -> Hashtbl.statistics

same as Hashtbl.SeededS.stats but only count the alive bindings